BareMetal API, REST: Vrf.Update
Updates the specified VRF resource.
HTTP request
PATCH https://baremetal.api.yandexcloud.kz/baremetal/v1alpha/vrfs/{vrfId}
Path parameters
|
Field |
Description |
|
vrfId |
string Required field. ID of the VRF to update. Value must match the regular expression |
Body parameters
{
"updateMask": "string",
"name": "string",
"description": "string",
"staticRoutes": [
{
"destinationCidr": "string",
"nextHopIpAddress": "string",
"redistributionType": "string"
}
],
"labels": "object"
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
name |
string Name of the VRF. The string length in characters must be 2-63. Value must match the regular expression |
|
description |
string Description of the VRF. The maximum string length in characters is 1024. |
|
staticRoutes[] |
VRF static routes. |
|
labels |
object (map<string, string>) Resource labels as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
StaticRoute
|
Field |
Description |
|
destinationCidr |
string Destination network CIDR block. |
|
nextHopIpAddress |
string Next hop host IP address. |
|
redistributionType |
enum (RedistributionType) Redistribution type.
|
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |